/* region Loader */
.loader {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #fff;
}
/* endregion Loader */

/* region Filter */
.filter__value {
    display: flex;
    align-items: center;
    justify-content: space-between;
    user-select: none;
}

.filter__current {
    flex: 1;
    padding: 1rem;
    cursor: pointer;
}

.filter__placeholder {
    color: #868d95;
    font-size: .875rem;
    text-transform: uppercase;
    user-select: none;
    line-height: 28px;
}

.filter__popup {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 2;
    width: 100%;
    padding: 1rem;
    border: 1px solid rgba(0, 0, 0, .175);
    border-radius: .375rem;
    background-color: #fff;
}

.filter__row {
    margin-bottom: 1rem;
}

.filter-nav {
    align-items: baseline;
}

.filter-nav .nav-link {
    padding: 0 0 .15rem;
    font-size: .875rem;
    cursor: pointer;
    border-bottom: none;
}

.filter-nav .nav-link:hover {
    border-bottom-color: transparent;
    border-bottom: none;
}

.filter-nav .nav-link.active {
    font-size: 1rem;
    font-weight: 400;
    color: #545c6a;
    border-bottom: none;
}

.filter__list {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.filter__item {
    padding: .25rem .5rem;
    display: flex;
    align-items: center;
    background: #e4e4e4;
    border: 1px solid #aaa;
    border-radius: 4px;
    font-size: .875rem;
}

.filter__buttons {
    padding-right: 1rem;
}
/* endregion Filter */

/* region Report */
.report__label {
    margin-bottom: .25rem;
    font-size: .75rem;
    color: #868d95;
}

.report__value {
    font-size: .875rem;
    font-weight: 500;
}

.report__id {
    font-size: .875rem;
    font-weight: 500;
}

.report__name {
    font-size: 1.125rem;
    font-weight: 500;
    cursor: pointer;
    text-decoration: underline;
}

.report__link {
    color: #0a58ca;
    cursor: pointer;
}

.report__segments {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    font-size: .75rem;
    font-weight: 500;
}
/* endregion Report */

/* region Table */
.table {
    font-size: .875rem;
}
/* endregion Table */

.nav-link {
    cursor: pointer;
}

.empty-result {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.25em;
    font-size: 1.25rem;
    font-weight: 600;
    color: #ababab;
    text-transform: uppercase;
}

.empty-result .bi {
    font-size: 2em;
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #86b7fe;
    box-shadow: 0 0 0 0.25rem rgba(13,110,253,.25);
}

.select2-container--default .select2-selection--multiple {
    display: flex;
    align-items: center;
    min-height: 38px;
    border-color: #dee2e6;
}

.select2-dropdown {
    border-color: #dee2e6;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
    margin: 0;
}

.invalid-feedback {
    margin: 0 0 .5rem;
    font-size: .75rem;
}